<?php
// 系統取單付款, 直接呼叫台灣里 API 取得離線付款的開單參數

require_once( __DIR__.DIRECTORY_SEPARATOR."openpay_config.php" );

try {
  $txid                  = date("mdHis");
  $amount                = rand( 101, 120 );
  $expire_date           = date( "Y-m-d", (time()+7*86400) );
  $is_cstore             = true;
  $is_fami               = true;
  $is_ibon               = true;
  $is_pcsccod            = true;
  $is_vaccount           = true;
  $encoding              = "UTF-8";
  $description           = "測試付款";
  $cname                 = "李三";
  $caddress              = "台南市中正區中山路1號";
  $ctel                  = "0911222333";
  $xname                 = "李四";
  $xtel                  = "0911222444";
  $pcsccod_recv_store_id = "874252";

  $action_res = OpenpayManager::doApiPayAction( $txid, $amount, $expire_date, $is_cstore, $is_fami, $is_ibon, $is_pcsccod, $is_vaccount, $encoding, $description, $cname, $caddress, $ctel, $xname, $xtel, $pcsccod_recv_store_id );

  switch( $action_res['status'] ) {
  case 1:
    $display = "result";
    break;
  default:
    throw new Exception( 'return status error: '.$action_res['status'] );
  }

} catch( Exception $e ) {
  $display = "error";
  $message = $e->getMessage();
}

?>
<html>
<body>

<?php
switch( $display ):
/////////////////////
case 'error':
?>

Error: <?php print $message ?>

<?php
  break;
/////////////////////
case 'result':
?>

<div>

api result:<br>
<br>
<?php foreach( $action_res as $k => $v ): ?>
<?php print $k ?> = <?php print $v ?><br>
<?php endforeach; ?>

</div>

<?php
  break;
/////////////////////
endswitch;
?>

</body>
</html>